## Basic Guidelines
### Always test your changes
   Do not submit your PR without at least run Minecraft with the shader on and no errors pop out.

### Do not make large changes before discussing them first.
   If you're changing large amounts of code, please discuss it with me via. Github or Discord (Eldeston#3590) or in FlameRender Studio Discord in #super-duper-vanilla.

### Mod compatibility
   If you're making a pull request for mod compatibility, please make sure your fix does not affect other fixes from other mods.

### Keep everything FAST
   Please check if your code performs well and try to optimize it as much as possible.
   
## Style guidelines
   * No spaces around parentheses: `if(condition){`, `this = function()`
   * No underscores, macros are exempted from this rule.
   * Use `camelCase` on everything, including constants.
   * Use `SCREAMING_CASE` for defined macros only.

## Other notes
   You may add your name in [**CONTRIBUTORS**](CONTRIBUTORS.md) with your PR.
